fuss-client - Segnalazione #575

utente di rete non apre in automatico certi programmi
07/26/2018 03:57 PM - Andrea Padovan
Target version:

Description

ciao Paolo e gruppo FUSS,
ho notato che alcune semplici operazioni che I'utente prima faceva , ora sono piu complicate e chiedo se si potesse provvedere alla
loro semplificazione. Ora segnalo quelli che ho notato e che sono a mio avviso i piu significativi per ora. Provare per credere.

1) File aperto in CALC e salvato sul desktop, viene riaperto successivamente com Gnumeric

2) Un DVD non viene mai aperto automaticamente: cliccandoci sopra si vede il contenuto. se si apre con tasto dx e si seleziona VLC,
poi VLC vuole sapere che tipo di sipositivo bisogna aprire, selezionare periferica DVD, dare ok e poi parte. A mio avviso e di qualche
referente che lo ha gia provato (Alan del DeMedici) poco "user friendly.

3) File aperto con "editr di testo", viene poi riaperto con VIM. Si ovvia col tasto destro e selezionando il programma di apertura
desiderato (come per CALC) oppure facendolo una volta per tutte selezionando il programma di apertura nelle Proprieta del file,

RICHIESTA:
Secondo me questo per me dovrebbe poter venire in automatico. grazie per l'attenzione. Andrea

Related issues:
Related to fuss-client - Segnalazione #415: xfce - default mime types Risolto 09/14/2017

Associated revisions

Revision ec223b62 - 08/10/2018 08:50 AM - Paolo Dongilli

Added a complete list of default mimetype associations. refs: #575

History

#1 - 07/27/2018 08:12 PM - Paolo Dongilli

- Related to Segnalazione #415: xfce - default mime types added

#2 - 07/27/2018 08:24 PM - Paolo Dongilli
- Assignee changed from RIPARTIZIONE 9 to Simone Piccardi

Questa sicuramente € una issue urgente che attiene alla usability dell'interfaccia. Era gia stata rilevata qui #415.
Per i seguenti filetype I'applicativo di default dovrebbe essere:

PDF --> evince (non libroffice --draw)

TXT --> mousepad (non vim)

ODS --> libreoffice --calc (non gnumeric)

JPG,PNG --> ristretto (non gimp)

Bisognerebbe poi vedere anche gli altri filetype ed assicurarsi che non siano associati ad applicativi non di immediato uso.

04/09/2024 1/4



https://work.fuss.bz.it/issues/415

#3 - 07/29/2018 10:12 AM - Paolo Dongilli

In Debian va creato il file
/usr/share/applications/mimeapps.list che tipicamente manca. Si puo prendere spunto dal file /usr/share/applications/mimeinfo.cache

L'aggiunta di mimeapps.list pud essere fatto dal pacchetto fuss-desktop.

Dalla pagina wiki di Debian: https://wiki.debian.org/MIME

The system-wide association between MIME types and applications is generated from the *.desktop files provided by the packages. The
.desktop files are stored in the /usr/share/applications/ directory and subdirectories, and the update-desktop-database parses their information
and generates the /usr/share/applications/mimeinfo.cache file, that specifies for each MIME type the valid .desktop files (hence applications).

The mimeinfo.cache is basically a raw reverse cache for the .desktop information. There is no way to define priorities in it. To be able to specify
default applications, a mimeapps.list file (previously named defaults.list up to debian 5) must be created. It can be system-wide (in
/usr/share/applications or a subdirectory) or user-specific (in $HOME/.local/share/applications). A heuristic is used by glib (FIXME: what about
KDE?) to use the appropriate mimeapps.list file according to the user environment (Gnome evince vs. KDE Okular for PDF files for instance).
The mimeapps.list file follows the same syntax as mimeinfo.cache, i.e:

[Default Applications]
application/pdf=evince.desktop
image/png=eog.desktop

#4 - 07/30/2018 10:05 AM - Simone Piccardi

- Assignee changed from Simone Piccardi to Elena Grandi

#5 - 07/30/2018 03:40 PM - Simone Piccardi

Per la parte relativa a DVD e CD (audio), XFCE & stato configurato al riguardo (vedi https://docs.xfce.org/xfce/thunar/using-removable-media). In
particolare occorre usare Preferenze->Avanzate->Link "configura" per arrivare alla finestra di configurazione dei media rimuovibili.

#6 - 07/30/2018 03:50 PM - Simone Piccardi

Aggiungo alcune note per elena, per l'implementazione tramite ansible, i file di thunar che controllano le funzionalita per l'utente sono in locale
.config/xfced/xfconf/xfce-perchannel-xml/thunar-volman.xml il cui corrispondente globale &
/etc/xdg/xfced/xfconf/xfce-perchannel-xml/thunar-volman.xml, fatta la configurazione per un utente si dovrebbe poter ricopiare sul valore globale.

#7 - 08/01/2018 03:59 PM - Paolo Dongilli

Ho anche visto che I'applicativo parole installato dall'omonimo pacchetto non € presente. Va aggiunto nel metapacchetto fuss-multimedia. Ho visto
che e suggerito nella documentazione di xfce linkata da Simone nel commento
https://work.fuss.bz.it/issues/575?issue_count=71&issue_position=3&next_issue_id=574&prev_issue_id=576#note-5 ed & un pacchetto suggerito da
xfce4-goodies.

#8 - 08/02/2018 11:01 AM - Simone Piccardi

Parole & un possibile player, se usate di default vic basta lanciare quello (con %d si mette nella riga di comando il device da usare).

#9 - 08/02/2018 12:15 PM - Paolo Dongilli

Simone Piccardi ha scritto:

Parole & un possibile player, se usate di default vic basta lanciare quello (con %d si mette nella riga di comando il device da usare).

Hai ragione Simone, ci ho pensato dopo, rimaniamo su vic. Non ha senso proporre agli utenti un altro player, sebbene piu leggero di vic.

#10 - 08/06/2018 12:56 PM - Elena Grandi
- Status changed from Nuovo to Commenti

- Assignee changed from Elena Grandi to Andrea Padovan

Ho uploadato la versione 9.0.11 di fuss-client che:

® imposta |'assiociazione di default per alcune applicazioni;
e imposta I'apertura di DVD e CD con un programma multimediale.

Dopo I'aggiornamento del pacchetto serve applicare le modifche con fuss-client -a, quindi si puo testare il funzionamento.
Paolo Dongilli ha scritto:

Bisognerebbe poi vedere anche gli altri filetype ed assicurarsi che non siano associati ad applicativi non di immediato uso.

Ho dato un'occhiata generale e mi pare di aver sistemato i casi piu evidenti. dato che pero I'applicazione di default potrebbe cambiare da installazione
a installazione, se vi capitano nuovi problemi segnalate che a questo punto aggiungere nuove associazioni & un attimo (salvo il tempo di fare e
testare una nuova release del pacchetto, che rimane costante).
#11 - 08/07/2018 05:57 PM - Andrea Padovan
- Assignee changed from Andrea Padovan to RIPARTIZIONE 9

no riesco piu a seguire i ticket.
Per Paolo Dongilli vedi mail appena mandata. grazie. Andrea

#12 - 08/08/2018 11:08 AM - Paolo Dongilli

- Project changed from Client to fuss-client

#13 - 08/08/2018 11:26 AM - Paolo Dongilli
- Assignee changed from RIPARTIZIONE 9 to Elena Grandi

Andrebbe aggiornata lista mimeapps.list prendendo spunto da https:/github.com/stevearc/dotfiles/blob/master/mimeapps.list con le dovute modifiche
degli applicativi per la nostra distro.

#14 - 08/10/2018 08:44 AM - Paolo Dongilli

- File mimeapps.list added

Ho invece creato mimeapps.list prendendo spunto da /usr/share/applications/mimeinfo.cache presente sul client FUSS. mimeapps.list che ho incluso
in fuss-client 9.0.13 & quello allegato. Servono ulteriori test.

#15 - 08/10/2018 03:25 PM - Paolo Dongilli
- File mimeapps.list added

Corretto e testato con successo nuovo mimeapps.list. Lo allego a questo commento e lo includo in fuss-client v. 9.0.14.

#16 - 08/13/2018 03:37 AM - Paolo Dongilli

- Status changed from Commenti to Chiuso

- % Done changed from 0 to 100

Files
mimeapps.list 26.4 KB 08/10/2018 Paolo Dongilli
mimeapps.list 25.8 KB 08/10/2018 Paolo Dongilli
